opam-client

Client library for opam 2.1
include OpamStd.ABSTRACT
type t
val to_string : t -> string
val to_json : t -> OpamJson.t
val of_json : OpamJson.t -> t option
module Set : OpamStd.SET with type elt = t
module Map : OpamStd.MAP with type key = t
val current : t

The current version of the CLI (major and minor of OpamVersion.current

val default : t
val is_supported : t -> bool

Tests whether a valid CLI version is supported by the client library

val of_string_opt : string -> t option

'a option version of to_string

val of_string : string -> t
val (>=) : t -> (int * int) -> bool

Comparison >] with (major, minor)

val (<) : t -> (int * int) -> bool

Comparison < with (major, minor)

val compare : t -> t -> int
val previous : t -> t

Returns previous supported version.

  • raises Not_found

    if there isn't one.

module Sourced : sig ... end
module Op : sig ... end